<table-builder options="att.options" items="att.attachments" class="table-builder">
    <div class="row">
        <div class="col-sm-4">
            <div class="table-filters little-panel" ng-controller="filterController as filter" ng-init="filter.init()">
                <div class="title" data-toggle="collapse" href="#filters-collapsed-attachments">
                    <?= $this->icon('filters', 'fa-fw') ?>
                    <?= $this->translate('filters') ?>
                </div>
                <div id="filters-collapsed-attachments" class="body collapse">
                    <?php
                    $filters = [
                        'name' => [
                            'label' => $this->translate('attachment_field_name'),
                            'type'  => 'string'
                        ],
                        'url' => [
                            'label' => $this->translate('attachment_field_url'),
                            'type'  => 'string'
                        ],
                        'type' => [
                            'label' => $this->translate('attachment_field_type'),
                            'type'  => 'string'
                        ],
                        'size' => [
                            'label' => $this->translate('attachment_field_size'),
                            'type'  => 'number'
                        ],
                        'createdAt' => [
                            'label' => $this->translate('attachment_field_createdAt'),
                            'type'  => 'date'
                        ],
                        'updatedAt' => [
                            'label' => $this->translate('attachment_field_updatedAt'),
                            'type'  => 'date'
                        ],
                    ];

                    echo $this->tableFilter('__tb.apiParams.search.data.filters', $filters);
                    ?>
                    <div class="row">
                        <div class="col-xs-6">
                            <button class="btn" ng-click="att.resetfullTextSearch(); __tb.resetFilters(); __tb.loadData()"><?= $this->translate('table_filter_reset_button') ?></button>
                        </div>
                        <div class="col-xs-6 text-right">
                            <button class="btn" ng-click="att.resetfullTextSearch(); __tb.loadData()">
                                <?= $this->icon('search', 'fa-fw') ?>
                                <?= $this->translate('table_filter_button') ?>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-sm-4">
            <table-builder-columns></table-builder-columns>
        </div>
        <div class="col-sm-4">
            <div class="btn-group pull-right">
                <button class="btn btn-lg" ng-click="__tb.removeFromList()" tooltip="<?= $this->translate('tooltip_remove_from_list') ?>">
                    <?= $this->icon('eraser', 'fa-fw pointer') ?>
                </button>
                <button class="btn btn-lg btn-excel" type="button" ng-click="__tb.exportExcel()" tooltip="<?= $this->translate('tooltip_export_xls') ?>">
                    <?= $this->icon('excel', 'fa-fw pointer') ?>
                </button>
            </div>
            <div class="btn-group pull-right">
                <?php if ($this->acl()->isAllowed($this->right . ':u')) : ?>
                    <button type="button" class="btn btn-lg" ng-click="att.createAttachment();">
                        <?= $this->icon('create') ?>
                        <?= $this->translate('attachment_nav_form') ?>
                    </button>
                <?php endif; ?>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-xs-12">
            <form name="attachmentForm">
                <table table-builder-table class="table table-bordered table-condensed table-hover">
                    <thead>
                        <tr>
                            <th tb-column tb-name="selection" class="checkbox-column"><input type="checkbox" ng-model="__tb.selection" /></th>
                            <th tb-column tb-name="name" tb-sortable="true" tb-toggle="true"><?= $this->translate('attachment_field_name') ?></th>
                            <th tb-column tb-name="url" tb-sortable="true" tb-toggle="true"><?= $this->translate('attachment_field_url') ?></th>
                            <th tb-column tb-name="type" tb-sortable="true" tb-toggle="true"><?= $this->translate('attachment_field_type') ?></th>
                            <th tb-column tb-name="size" tb-sortable="true" tb-toggle="true"><?= $this->translate('attachment_field_size') ?></th>
                            <th tb-column tb-name="key" tb-sortable="true" tb-toggle="true"><?= $this->translate('attachment_field_key') ?></th>
                            <th tb-column tb-name="user" tb-sortable="true" tb-toggle="true"><?= $this->translate('attachment_field_user') ?></th>
                            <th tb-column tb-name="createdAt" tb-sortable="true" tb-toggle="true" tb-hidden="true"><?= $this->translate('attachment_field_createdAt') ?></th>
                            <th tb-column tb-name="updatedAt" tb-sortable="true" tb-toggle="true" tb-hidden="true"><?= $this->translate('attachment_field_updatedAt') ?></th>
                            <th tb-column tb-name="actions" class="actions-column"></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr ng-repeat="attachment in att.attachments">
                            <td><input type="checkbox" ng-model="attachment.selected" /></td>
                            <td>
                                {{attachment.name}}
                            </td>
                            <td>
                                <a ng-href="{{attachment.url}}" target="_blank">
                                    {{attachment.url}}
                                </a>
                            </td>
                            <td>
                                {{'attachment_type_' + attachment.type | translate}}
                            </td>
                            <td class="text-right">
                                {{attachment.size | byteFmt : 0}}
                            </td>
                            <td>
                                {{attachment.key}}
                            </td>
                            <td>
                                <?php if ($this->acl()->isAllowed('user:e:user:r')) : ?>
                                    <a href="<?= $this->url('user/form') ?>/{{attachment.user.id}}">{{attachment.user.name}}</a>
                                <?php else : ?>
                                    {{attachment.user.name}}
                                <?php endif; ?>
                            </td>
                            <td>{{attachment.created | dateFormat : 'DD/MM/YYYY'}}</td>
                            <td>{{attachment.updatedAt | dateFormat : 'DD/MM/YYYY'}}</td>
                            <td class="text-right">
                                <div class="btn-group btn-group-actions">
                                    <?php if ($this->acl()->isAllowed($this->right . ':u')) : ?>
                                        <a class="btn btn-xs btn-default" ng-click="att.editAttachment(attachment);" tooltip="<?= $this->translate('tooltip_edit') ?>">
                                            <?= $this->icon('edit') ?>
                                        </a>
                                    <?php endif; ?>
                                    <?php if ($this->acl()->isAllowed($this->right . ':d')) : ?>
                                        <a class="btn btn-xs btn-default" ng-click="att.deleteAttachment(attachment);" tooltip="<?= $this->translate('tooltip_delete') ?>">
                                            <?= $this->icon('delete') ?>
                                        </a>
                                    <?php endif; ?>
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </form>
        </div>
    </div>
</table-builder>